# this compose file defines two services: my_flask_app and my_redis_db
# the image for my_flask_app is built using the dockerfile in the appropriate folder
# the image for my_redis_db is just pulled from the docker hub registry

services:

  my_flask_app:
    build: ./my_flask_app/
    ports:
      - 8080:5000
    depends_on:
      - my_redis_db

  my_redis_db:
    image: redis
